Bug 19025 - Move C4::Reserves::GetReserveInfo to Koha::Holds
Summary: Move C4::Reserves::GetReserveInfo to Koha::Holds
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17728 19055
  Show dependency treegraph
 
Reported: 2017-08-02 14:43 UTC by Jonathan Druart
Modified: 2017-09-29 13:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19025: Move GetReserveInfo to Koha::Holds (3.31 KB, patch)
2017-08-02 14:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19025: Remove C4::Reserves::GetReserveInfo (2.57 KB, patch)
2017-08-02 14:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19025: Move GetReserveInfo to Koha::Holds (3.39 KB, patch)
2017-08-03 06:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19025: Remove C4::Reserves::GetReserveInfo (2.66 KB, patch)
2017-08-03 06:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-08-02 14:43:55 UTC
This subroutine is only used once and can be replaced with a call to Koha::Holds->find
It will avoid unnecessary joins.
Comment 1 Jonathan Druart 2017-08-02 14:53:05 UTC
Created attachment 65428 [details] [review]
Bug 19025: Move GetReserveInfo to Koha::Holds

This subroutine is only used once and can be replaced with a call to
Koha::Holds->find
It will avoid unnecessary joins.

Test plan:
- Define a HOLD_SLIP template notice using fields from the tables
reserves, branches, borrowers, biblio, biblioitems and items.
- Generate one and make sure the values are correctly filled
Comment 2 Jonathan Druart 2017-08-02 14:53:08 UTC
Created attachment 65429 [details] [review]
Bug 19025: Remove C4::Reserves::GetReserveInfo

Test plan:
  git grep GetReserveInfo
should not return results
Comment 3 Marcel de Rooy 2017-08-03 06:38:07 UTC
Created attachment 65449 [details] [review]
Bug 19025: Move GetReserveInfo to Koha::Holds

This subroutine is only used once and can be replaced with a call to
Koha::Holds->find
It will avoid unnecessary joins.

Test plan:
- Define a HOLD_SLIP template notice using fields from the tables
reserves, branches, borrowers, biblio, biblioitems and items.
- Generate one and make sure the values are correctly filled

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-08-03 06:38:10 UTC
Created attachment 65450 [details] [review]
Bug 19025: Remove C4::Reserves::GetReserveInfo

Test plan:
  git grep GetReserveInfo
should not return results

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2017-08-03 06:39:39 UTC
Taking the liberty to pass QA on this relatively simple change.
Comment 6 Jonathan Druart 2017-08-30 20:02:15 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-09-29 13:35:32 UTC
Enhancement not pushed to 17.05.x